package com.share.help.dao;

import com.share.help.entity.ActivityHistoryEntity;
import com.share.help.entity.custorm.HelpRes;
import com.share.help.entity.custorm.UserWithName;
import com.share.help.res.Page;
import com.share.help.res.TimeScore;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/**
 * 活动历史记录
 */
public interface ActivityHistoryMapper {

    /**
     * 添加活动历史记录
     * @param activityHistoryEntity 活动历史实体
     * @return 返回添加结果
     */
    boolean insert(ActivityHistoryEntity activityHistoryEntity);



    /**
     * 获取志愿者列表
     * @param activityStatus 活动状态
     * @param activityId 活动id
     * @return 返回志愿者列表
     */
    List<UserWithName> queryUser(@Param("activityStatus") String activityStatus, @Param("activityId") Long activityId);

//    获取我的帮助列表数据
    List<HelpRes> queryMyHelp(@Param("start") long start,@Param("count") long count,@Param("userId") String userId);

//    获取分页信息
    Page<List<HelpRes>> count(@Param("userId") String userId,@Param("pageSize") Integer pageSize);

    //活动评价
    @Update("update activity_history set activity_score=#{score} where history_id=#{historyId}")
    boolean updateScore(@Param("historyId") Long historyId,@Param("score") Integer score);

    //获取时间币
    Integer getTimeScore(@Param("activityId") Long activityId,@Param("userId") String userId);


    //测试时间币
    TimeScore queryActivityHistory(@Param("userId") String userId, @Param("activityId") Long activityId);
}
