package com.share.help.dao;

import com.share.help.entity.FriendEntity;
import com.share.help.entity.custorm.Friend;
import com.share.help.res.Page;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 添加好友
 */
public interface FriendMapper {

    /**
     * 添加好友邀请
     * @param friendEntity 好友邀请
     * @return 返回添加结果
     */
    @Insert("insert into friend(source_user_id,target_user_id) value(#{sourceUserId},#{targetUserId})")
    boolean addFriend(FriendEntity friendEntity);

    /**
     * 获取好友邀请
     * @param userId 目标用户
     * @return 返回好友id
     */
    List<Friend> getFriend(@Param("userId") String userId, @Param("name") String name,
                           @Param("targetUserId") String targetUserId, @Param("start") long start, @Param("count") long count);

    /**
     * 统计好友分页数
     * @param userId 目标用户
     * @return 返回分页数
     */
    Page<List<Friend>> count(@Param("userId") String userId, @Param("name") String name,
                             @Param("targetUserId") String targetUserId, @Param("pageSize") Integer pageSize);
}
